Skip to main content
Use this endpoint to create a plan.

Request

Curl

Response

Success

Parameters

period mandatory : string This, combined with interval, defines the frequency of the plan. Possible values:
  • daily
  • weekly
  • monthly
  • quarterly
  • yearly
Handy Tips
You can create custom frequencies while creating a plan. For example, once in 3 weeks.
  • For UPI, all undefined frequencies except daily, weekly, monthly, quarterly and yearly are considered as-presented.
  • For domestic cards, all undefined frequencies except weekly, monthly and yearly are considered as-presented while registering the mandate with banks.
  • For Emandate, all defined and undefined frequencies are considered as-presented while registering the mandate with banks.
interval mandatory : integer This, combined with period, defines the frequency of the plan. If the billing cycle is 2 months, the value should be 2. For daily plans, the minimum value should be 7. item : object Details of the plan. name mandatory : string Name of the plan. For example, Test Plan. amount mandatory : integer Amount for the plan that is to be charged to the subscription in the next billing cycle. For example, 69900 translates to 699. currency mandatory : string Currency for the payment. For example, INR. You can accept payment in any of the supported currencies. description optional : string Description for the plan. For example, Description for the test plan. notes optional : object Notes you can enter of the contact for future reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, "note_key": "Monthly gym membership".

Parameters

id : string The unique identifier linked to a plan. For example, plan_00000000000001. This ID is used when creating a subscription for a customer. entity : string The entity being created. Here, it is plan. interval : integer Used together with period to define how often the customer should be charged. period : string Used together with interval to define how often the customer should be charged. Possible values:
  • daily
  • weekly
  • monthly
  • yearly
item : array Details of the plan. id : string The unique identifier linked to an item. For example, item_00000000000001. name : string Name of the plan. For example, Test Plan. amount : integer Amount for the plan. When you use this plan to create a subscription, the customer will be charged this amount periodically. currency : string Currency for the payment. You can accept payment in any of the supported currencies. description : string Description for the plan. For example, Description for the test plan. notes : object Notes you can enter of the contact for future reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, "note_key": "Monthly Gym". created_at : integer The Unix timestamp at which the plan was created.

Errors

Authentication failed
  • code: 401
  • description: This error occurs when you use incorrect or invalid API Keys.
  • solution: Use the right set of API keys.
offer_id is/are not required and should not be sent
  • code: 400
  • description: This error occurs when you are passing offer_id parameter in the request body.
  • solution: offer_id should not be passed in the request body.
The amount must be at least INR 1.00.
  • code: 400
  • description: The amount specified is less than the minimum amount. Currency subunits, such as paise (in the case of INR), should always be greater than 100.
  • solution: Enter an amount equal to or greater than the minimum amount, that is 100.